#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x6463a063, "module_layout" },
	{ 0x4cd0501, ".crypto_shash_digest" },
	{ 0xfdf637af, ".dm_table_device_name" },
	{ 0xfb8141bb, ".crypto_alloc_base" },
	{ 0x2bb7b8e6, ".dm_put_device" },
	{ 0x7a4497db, ".kzfree" },
	{ 0xc15a44c6, ".memzero_explicit" },
	{ 0xf888ca21, ".sg_init_table" },
	{ 0x8b5950d3, ".bio_clone_fast" },
	{ 0xedc6cb7f, "kmalloc_caches" },
	{ 0xc462388e, ".crypto_stats_get" },
	{ 0xdd557029, "._raw_spin_unlock_irqrestore" },
	{ 0x9514151a, "_mcount" },
	{ 0x56470118, ".__warn_printk" },
	{ 0x2edbeaf7, ".hex2bin" },
	{ 0xd28959cf, ".crypto_alloc_shash" },
	{ 0xa4f31e75, ".kmem_cache_alloc_trace" },
	{ 0xd8341232, ".mempool_free" },
	{ 0xcc99620e, ".bio_add_page" },
	{ 0x656e4a6e, ".snprintf" },
	{ 0xd5d83405, ".__mutex_init" },
	{ 0xf6bc1dbe, "key_type_user" },
	{ 0x98cf60b3, ".strlen" },
	{ 0xaa32fc, ".crypto_shash_final" },
	{ 0x25bae8fb, ".dm_get_device" },
	{ 0x8c03d20c, ".destroy_workqueue" },
	{ 0x52540131, ".key_put" },
	{ 0xbcab6ee6, ".sscanf" },
	{ 0xb2b6a0fa, ".dm_accept_partial_bio" },
	{ 0x57a3bcb5, ".kthread_stop" },
	{ 0x66cce14, ".crypto_alloc_ahash" },
	{ 0x43add205, ".bio_put" },
	{ 0x37a0cba, ".kfree" },
	{ 0x56570b19, ".bio_alloc_bioset" },
	{ 0x130bbf5b, ".up_read" },
	{ 0x6d0f1f89, ".dm_table_get_mode" },
	{ 0xa8d777a0, ".__init_waitqueue_head" },
	{ 0xaa344338, ".wait_for_completion" },
	{ 0x349cba85, ".strchr" },
	{ 0x5a921311, ".strncmp" },
	{ 0xc5b1ff80, ".crypto_stats_aead_decrypt" },
	{ 0x14b286e9, ".crypto_stats_skcipher_encrypt" },
	{ 0xdc355e0b, ".__percpu_counter_sum" },
	{ 0x7a9b37e8, ".blk_start_plug" },
	{ 0x9c61f4c5, ".bio_associate_blkg" },
	{ 0x126cf795, ".generic_make_request" },
	{ 0x11089ac7, "_ctype" },
	{ 0xbb1c9e41, ".mutex_lock" },
	{ 0xd976fb37, "_totalram_pages" },
	{ 0x8f68da79, "__cpu_online_mask" },
	{ 0xece784c2, ".rb_first" },
	{ 0x1faf00e7, ".crypto_destroy_tfm" },
	{ 0x9a99e5e8, ".crypto_alloc_skcipher" },
	{ 0xf2215f74, ".blk_finish_plug" },
	{ 0xd2b09ce5, ".__kmalloc" },
	{ 0xb3b32ccf, ".dm_register_target" },
	{ 0x9f984513, ".strrchr" },
	{ 0xaa38e8aa, ".bio_integrity_alloc" },
	{ 0xa0f38345, "._raw_spin_lock_irq" },
	{ 0xd98e1380, ".crypto_stats_skcipher_decrypt" },
	{ 0xf630fbdf, ".down_read" },
	{ 0x5240ee7, "percpu_counter_batch" },
	{ 0x366322b9, "._raw_spin_lock" },
	{ 0x94875e20, "key_type_logon" },
	{ 0x9166fada, ".strncpy" },
	{ 0x96848186, ".scnprintf" },
	{ 0x63c4d61f, ".__bitmap_weight" },
	{ 0xd41e6082, ".__raw_spin_lock_init" },
	{ 0x6211d834, ".__percpu_counter_init" },
	{ 0x1000e51, ".schedule" },
	{ 0xfddefad1, ".__free_pages" },
	{ 0x9514151a, "._mcount" },
	{ 0xc303b6e4, ".alloc_pages_current" },
	{ 0x88d6ae9, ".crypto_stats_aead_encrypt" },
	{ 0xaafdc258, ".strcasecmp" },
	{ 0xc499ae1e, ".kstrdup" },
	{ 0xa3ee222d, ".mempool_alloc" },
	{ 0x97be172, ".dm_unregister_target" },
	{ 0x85df9b6c, ".strsep" },
	{ 0x23fe3ca9, ".dm_per_bio_data" },
	{ 0xc7d094b5, ".dm_read_arg_group" },
	{ 0x796e57e9, "._raw_spin_lock_irqsave" },
	{ 0xa09e2cc9, ".crypto_shash_update" },
	{ 0x576e7eaa, ".crypto_alloc_aead" },
	{ 0x6a037cf1, "mempool_kfree" },
	{ 0xf134143, "._raw_spin_unlock_irq" },
	{ 0xb698ea0c, "._raw_spin_unlock" },
	{ 0x4829a47e, ".memcpy" },
	{ 0x87895934, ".wake_up_process" },
	{ 0x2e0d2f7f, ".queue_work_on" },
	{ 0x966ead33, ".mutex_destroy" },
	{ 0xdcb764ad, ".memset" },
	{ 0x90ef0501, ".bio_integrity_add_page" },
	{ 0xb6a2b272, ".request_key" },
	{ 0x6701d283, ".percpu_counter_destroy" },
	{ 0xa05c03df, "mempool_kmalloc" },
	{ 0xa3f12f69, ".__crypto_xor" },
	{ 0x43a53735, ".__alloc_workqueue_key" },
	{ 0x413a6ec1, ".___ratelimit" },
	{ 0xdd4401c6, ".bio_endio" },
	{ 0x79aa04a2, ".get_random_bytes" },
	{ 0xf39461cc, ".mempool_exit" },
	{ 0xedd31d64, ".__percpu_counter_compare" },
	{ 0xa5526619, ".rb_insert_color" },
	{ 0xc5850110, ".printk" },
	{ 0xa1c76e0a, "._cond_resched" },
	{ 0x72954e18, ".crypto_aead_setkey" },
	{ 0x309c969e, ".bioset_init" },
	{ 0xbe924abf, ".crypto_aead_setauthsize" },
	{ 0xb3f7646e, ".kthread_should_stop" },
	{ 0xdecd0b29, ".__stack_chk_fail" },
	{ 0x290ca7be, ".mempool_init" },
	{ 0x77eb1335, ".mutex_unlock" },
	{ 0xe4ddc1c9, ".kthread_create_on_node" },
	{ 0x7ab3074f, ".complete" },
	{ 0xe2d5255a, ".strcmp" },
	{ 0x54d34dd4, ".percpu_counter_add_batch" },
	{ 0x4d9b652b, ".rb_erase" },
	{ 0xe2683272, "vmemmap" },
	{ 0x5eb24829, ".dm_shift_arg" },
	{ 0x19c4afe, ".bioset_exit" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=dm-mod";


MODULE_INFO(srcversion, "5FE6AAE3EECFBE3E65ACE42");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
