#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x6463a063, "module_layout" },
	{ 0xb87db03f, "rt2x00mac_bss_info_changed" },
	{ 0xc248c82, "rt2x00mac_get_ringparam" },
	{ 0x599b86c5, "rt2x00usb_flush_queue" },
	{ 0x14feded4, ".rt2x00lib_set_mac_address" },
	{ 0x9514151a, "_mcount" },
	{ 0x4b238a77, "rt2x00usb_initialize" },
	{ 0x9715fc40, "rt2x00usb_uninitialize" },
	{ 0x3ae3cab, "rt2x00mac_set_antenna" },
	{ 0xc5b1bad2, ".consume_skb" },
	{ 0x2d236068, "rt2x00usb_resume" },
	{ 0x4a84f308, ".rt2x00usb_vendor_request_buff" },
	{ 0x4f60770a, "rt2x00usb_kick_queue" },
	{ 0x3a62d48b, "param_ops_bool" },
	{ 0xec852ede, "._dev_info" },
	{ 0x8e509bc6, "rt2x00mac_tx" },
	{ 0x1d129414, "rt2x00mac_flush" },
	{ 0xb0305ccb, "rt2x00usb_disconnect" },
	{ 0x690921ec, "rt2x00mac_configure_filter" },
	{ 0x41759c6c, ".skb_trim" },
	{ 0x8fd567f2, ".skb_push" },
	{ 0xbb1c9e41, ".mutex_lock" },
	{ 0x48db5f05, "rt2x00mac_stop" },
	{ 0x3cd0962d, "rt2x00mac_set_tim" },
	{ 0xdb229398, "rt2x00mac_rfkill_poll" },
	{ 0x60a4a9b9, "rt2x00mac_start" },
	{ 0x2e210a8, "rt2x00mac_conf_tx" },
	{ 0xd2b09ce5, ".__kmalloc" },
	{ 0x9892c327, "rt2x00usb_clear_entry" },
	{ 0xe2bb0fcd, "rt2x00usb_suspend" },
	{ 0x8106cb1f, "rt2x00mac_config" },
	{ 0x364418cd, "rt2x00usb_watchdog" },
	{ 0x232cac0b, ".rt2x00debug_dump_frame" },
	{ 0x445db4f4, "rt2x00mac_remove_interface" },
	{ 0x5a6c7717, ".usb_deregister" },
	{ 0x9514151a, "._mcount" },
	{ 0xb0ddb4af, ".usb_submit_urb" },
	{ 0xb5564019, ".usb_register_driver" },
	{ 0xa39b4cf2, ".udelay" },
	{ 0x4829a47e, ".memcpy" },
	{ 0x551fd099, ".rt2x00usb_vendor_request" },
	{ 0xfc5c491f, "rt2x00mac_tx_frames_pending" },
	{ 0xcc529fab, "rt2x00mac_sw_scan_start" },
	{ 0x5570ad40, "rt2x00mac_set_key" },
	{ 0x1c694aa6, "._dev_err" },
	{ 0x11fc4569, ".rt2x00usb_disable_radio" },
	{ 0x8303fab1, ".rt2x00usb_probe" },
	{ 0x61df4530, ".__dynamic_dev_dbg" },
	{ 0xf9a482f9, ".msleep" },
	{ 0x77eb1335, ".mutex_unlock" },
	{ 0x7fd77abe, ".rt2x00usb_vendor_req_buff_lock" },
	{ 0x2cca251e, "rt2x00mac_get_stats" },
	{ 0x853b3a6a, "rt2x00mac_get_antenna" },
	{ 0x79cc92b9, "rt2x00mac_add_interface" },
	{ 0x2a5d77e8, "rt2x00mac_sw_scan_complete" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=rt2x00lib,rt2x00usb,usbcore";

MODULE_ALIAS("usb:v0B05p1706d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p1707d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v050Dp7050d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v050Dp7051d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p000Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p0011d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p001Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v14B2p3C02d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2001p3C00d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1044p8001d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1044p8007d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v06F8pE000d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p005Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0066d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0067d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p008Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0097d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DB0p6861d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DB0p6865d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DB0p6869d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp1706d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp2570d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp9020d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v079Bp004Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0681p3C06d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0707pEE13d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v114Bp0110d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0769p11F3d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0EB0p9020d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0F88p3012d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v5A57p0260d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "6BB614F6E34D705D05D825A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
