#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x6463a063, "module_layout" },
	{ 0x4cd0501, ".crypto_shash_digest" },
	{ 0xa7eedcc4, ".call_usermodehelper" },
	{ 0xb945a77, ".sunrpc_cache_update" },
	{ 0xf6c1256d, ".cancel_delayed_work_sync" },
	{ 0xbd90df19, ".event_triggers_call" },
	{ 0xc15a44c6, ".memzero_explicit" },
	{ 0xedc6cb7f, "kmalloc_caches" },
	{ 0x76c0fce0, ".__put_page" },
	{ 0x22cc4199, ".locks_release_private" },
	{ 0xb6541ddf, ".locks_in_grace" },
	{ 0xc962d166, ".sync_inode_metadata" },
	{ 0xa3945f77, ".bpf_trace_run1" },
	{ 0x7fc9032, ".auth_domain_find" },
	{ 0x8dd9fb4, ".try_module_get" },
	{ 0x9514151a, "_mcount" },
	{ 0x56470118, ".__warn_printk" },
	{ 0xde3f4404, ".rpc_restart_call" },
	{ 0xc8e96dea, ".qword_addhex" },
	{ 0xfe029963, ".unregister_inetaddr_notifier" },
	{ 0xb6f0b36c, ".opens_in_grace" },
	{ 0x8b04863c, ".rpc_unlink" },
	{ 0x325dd4a0, ".__put_net" },
	{ 0x4302d0eb, ".free_pages" },
	{ 0xb0c6c9d0, ".vfs_mkdir" },
	{ 0x437c16a5, ".rpc_put_sb_net" },
	{ 0xdeaefa68, ".vfs_symlink" },
	{ 0x65c7dea, ".lock_rename" },
	{ 0x6cb0681e, ".__module_put_and_exit" },
	{ 0xf7063c34, ".vfs_clone_file_range" },
	{ 0xd28959cf, ".crypto_alloc_shash" },
	{ 0xa4f31e75, ".kmem_cache_alloc_trace" },
	{ 0x1f2a9970, ".rpc_ntop" },
	{ 0xfba28a32, ".register_shrinker" },
	{ 0x3e2b0ba6, ".groups_alloc" },
	{ 0xbdc2bc95, ".simple_fill_super" },
	{ 0x151a71b6, ".cache_check" },
	{ 0xf9e18863, ".prepare_creds" },
	{ 0xa8f4fd1a, ".xdr_commit_encode" },
	{ 0x9dd2f010, ".cache_purge" },
	{ 0x656e4a6e, ".snprintf" },
	{ 0x368d7592, ".register_pernet_subsys" },
	{ 0x5b030b1c, ".lookup_one_len" },
	{ 0x60854f09, ".vfs_lock_file" },
	{ 0xd5d83405, ".__mutex_init" },
	{ 0x14d6d94b, ".from_kgid" },
	{ 0xdd9030af, ".current_stack_pointer" },
	{ 0xe3abed0, ".svc_reserve" },
	{ 0xd542439, ".__ipv6_addr_type" },
	{ 0xcb0290ec, ".mntget" },
	{ 0x13303c39, ".iterate_dir" },
	{ 0x98cf60b3, ".strlen" },
	{ 0xb797f9b8, ".svc_process" },
	{ 0x4334d2f5, ".cache_create_net" },
	{ 0x51f6ddca, ".setattr_prepare" },
	{ 0x83496d47, ".iov_iter_kvec" },
	{ 0xfa1acc14, "single_release" },
	{ 0xe2afc896, ".current_time" },
	{ 0x1f82daa1, ".rpc_create" },
	{ 0x7c541d0a, ".svc_xprt_put" },
	{ 0x285493a2, ".seq_release" },
	{ 0xda4cc0a9, ".__mnt_is_readonly" },
	{ 0x45ee3939, ".down_write" },
	{ 0x96d17e17, ".vfs_iter_write" },
	{ 0x2919b156, ".xdr_decode_string_inplace" },
	{ 0xf5c8554e, ".vfs_setlease" },
	{ 0x93fca811, ".__get_free_pages" },
	{ 0x8c03d20c, ".destroy_workqueue" },
	{ 0xef464c28, ".getboottime64" },
	{ 0x66decfd5, ".ns_to_timespec" },
	{ 0xa922b1ae, ".ima_file_check" },
	{ 0xc6f46339, ".init_timer_key" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xbcab6ee6, ".sscanf" },
	{ 0xe8fead1, ".perf_trace_buf_alloc" },
	{ 0xfeb75220, ".svc_fill_write_vector" },
	{ 0xf9a581d7, ".flush_signals" },
	{ 0x26d3f78b, ".blk_rq_map_kern" },
	{ 0xa990b0b2, ".svc_print_addr" },
	{ 0xb07abe2, ".unshare_fs_struct" },
	{ 0x33d2d94d, ".security_inode_setsecctx" },
	{ 0x5ac237f8, ".__splice_from_pipe" },
	{ 0xef4907e3, "nlmsvc_ops" },
	{ 0xca215ea7, ".lockd_up" },
	{ 0x932ae75f, "init_user_ns" },
	{ 0x2d70ab9c, ".vfs_rmdir" },
	{ 0xb3687850, ".out_of_line_wait_on_bit_lock" },
	{ 0x3a62d48b, "param_ops_bool" },
	{ 0x96562347, ".idr_alloc_cyclic" },
	{ 0xedcf6be4, ".qword_add" },
	{ 0xedead6b6, ".vfs_copy_file_range" },
	{ 0xbdabb276, ".remove_proc_entry" },
	{ 0x6dc74c0f, ".mnt_drop_write" },
	{ 0x7b448da1, ".svc_rpcb_cleanup" },
	{ 0x1c3e02e4, ".memcmp" },
	{ 0xf0b1b883, ".locks_free_lock" },
	{ 0x57a3bcb5, ".kthread_stop" },
	{ 0x5b2e3e42, ".svc_addsock" },
	{ 0xd7c3627e, ".rpc_mkpipe_dentry" },
	{ 0xbe706553, ".kmem_cache_free" },
	{ 0x3f7aaa29, ".locks_alloc_lock" },
	{ 0xb742fd7, ".simple_strtol" },
	{ 0x42160169, ".flush_workqueue" },
	{ 0x11828032, ".mnt_want_write" },
	{ 0xaba9981d, "seq_read" },
	{ 0x37a0cba, ".kfree" },
	{ 0x87ea8546, ".vfs_link" },
	{ 0x2038783b, ".bpf_trace_run2" },
	{ 0x9e61bb05, ".set_freezable" },
	{ 0x3f9a2b0b, ".rpcauth_get_gssinfo" },
	{ 0x735833f4, ".vfs_get_link" },
	{ 0x21f03da0, ".rpc_restart_call_prepare" },
	{ 0x12076058, ".module_put" },
	{ 0xa132688e, ".lockd_down" },
	{ 0xb8fae3c1, ".simple_transaction_set" },
	{ 0x2df50b0, "jiffies" },
	{ 0xa9df5be4, "svc_set_client" },
	{ 0x99b6a21f, ".revert_creds" },
	{ 0xb12aba1c, ".fsnotify" },
	{ 0xa8d777a0, ".__init_waitqueue_head" },
	{ 0x9b7f0b31, ".vfs_test_lock" },
	{ 0x74d0c491, "param_ops_string" },
	{ 0xaa344338, ".wait_for_completion" },
	{ 0x164e7c53, ".queue_delayed_work_on" },
	{ 0x24c514ea, ".svc_exit_thread" },
	{ 0x538bd51d, ".fput" },
	{ 0xd2e0e1cc, "._atomic_dec_and_lock" },
	{ 0x2d3f734a, ".svc_find_xprt" },
	{ 0xed61f6b3, ".security_release_secctx" },
	{ 0x9243ddb9, ".kill_litter_super" },
	{ 0x2dfe06ab, ".finish_wait" },
	{ 0xc414ab5b, ".vfs_unlink" },
	{ 0x2fe252cc, ".unregister_inet6addr_notifier" },
	{ 0xd3beee8, ".vfs_getattr" },
	{ 0xe998ab2c, ".vfs_mknod" },
	{ 0x69dd3b5b, ".crc32_le" },
	{ 0xd6fd4053, ".__arch_hweight32" },
	{ 0x28aa6a67, ".call_rcu" },
	{ 0x3d28ece9, ".single_open" },
	{ 0x7c348863, ".lease_modify" },
	{ 0x74e74a0, "default_llseek" },
	{ 0x11089ac7, "_ctype" },
	{ 0xd6eaaea1, ".full_name_hash" },
	{ 0x3afd4ad3, ".rpc_wake_up_queued_task" },
	{ 0xc2bc947a, ".cache_unregister_net" },
	{ 0x5a951807, ".make_kgid" },
	{ 0x1461e016, ".rpc_shutdown_client" },
	{ 0xd51f95b5, ".nfsacl_decode" },
	{ 0x17c2361f, ".svc_create_xprt" },
	{ 0xa0397108, ".svcauth_gss_flavor" },
	{ 0x77e35ccc, ".nlmsvc_unlock_all_by_ip" },
	{ 0xbb1c9e41, ".mutex_lock" },
	{ 0x3c3ff9fd, ".sprintf" },
	{ 0x5462b112, ".__fsnotify_parent" },
	{ 0xd976fb37, "_totalram_pages" },
	{ 0xe97f4ce5, ".qword_get" },
	{ 0x123f6d78, ".unregister_shrinker" },
	{ 0x8f68da79, "__cpu_online_mask" },
	{ 0x334da4e, "scsi_command_size_tbl" },
	{ 0x23153b27, ".unregister_pernet_subsys" },
	{ 0x60352082, ".register_inet6addr_notifier" },
	{ 0xc7e2f781, ".vfs_statfs" },
	{ 0x73299290, ".vfs_llseek" },
	{ 0xa5272a75, ".filp_close" },
	{ 0xa18035df, ".rpc_queue_upcall" },
	{ 0x6fbbd916, ".gss_mech_get" },
	{ 0x97cf217f, ".follow_down" },
	{ 0x34ce9b3f, ".get_acl" },
	{ 0x1faf00e7, ".crypto_destroy_tfm" },
	{ 0x483768d8, ".lookup_one_len_unlocked" },
	{ 0xdd21dec9, "trace_event_reg" },
	{ 0xe0f0bb0d, ".svc_fill_symlink_pathname" },
	{ 0xc301b3f3, ".svc_proc_unregister" },
	{ 0xa221d8da, ".nfsacl_encode" },
	{ 0xe459a304, ".simple_transaction_get" },
	{ 0xd2b09ce5, ".__kmalloc" },
	{ 0x387e1639, ".rpc_pipefs_notifier_register" },
	{ 0x40a9b349, ".vzalloc" },
	{ 0xa0fbac79, ".wake_up_bit" },
	{ 0xf1e1f2f, ".vfs_rename" },
	{ 0x19f462ab, ".kfree_call_rcu" },
	{ 0x7aa1756e, ".kvfree" },
	{ 0xdfad8c33, ".d_path" },
	{ 0xb51a3724, ".rpc_pipefs_notifier_unregister" },
	{ 0x56b3549d, ".notify_change" },
	{ 0x75d435b4, ".rpc_uaddr2sockaddr" },
	{ 0xbdb01ab9, ".prepare_to_wait_event" },
	{ 0xb43f9365, ".ktime_get" },
	{ 0x77f35746, ".unix_domain_find" },
	{ 0x40c7247c, ".si_meminfo" },
	{ 0x7845fa4a, ".read_bytes_from_xdr_buf" },
	{ 0xf20e3786, ".seq_path" },
	{ 0x4dd7a7bf, ".register_filesystem" },
	{ 0x4c6130b3, ".idr_destroy" },
	{ 0x64d86473, ".svc_seq_show" },
	{ 0x8af5f1bb, ".unregister_filesystem" },
	{ 0xe005d9cd, ".svc_max_payload" },
	{ 0x435d2f71, ".lockref_get" },
	{ 0x5792f848, ".strlcpy" },
	{ 0x366322b9, "._raw_spin_lock" },
	{ 0x1417a6a6, "svc_set_num_threads" },
	{ 0x82b90767, "init_net" },
	{ 0x19014369, ".mnt_want_write_file" },
	{ 0x96848186, ".scnprintf" },
	{ 0xfd6f6f3b, ".rpc_destroy_pipe_data" },
	{ 0x37e0be80, ".seq_puts" },
	{ 0x41154ab4, ".mnt_drop_write_file" },
	{ 0x378b8c7c, ".kmem_cache_create" },
	{ 0x448eac3e, ".kmemdup" },
	{ 0x1fe1e1ad, ".locks_end_grace" },
	{ 0xfe81b8c6, ".trace_event_buffer_commit" },
	{ 0x4ca3b00d, ".rpc_call_async" },
	{ 0xd41e6082, ".__raw_spin_lock_init" },
	{ 0x1d35d3e9, ".dentry_open" },
	{ 0x965d7a48, ".write_bytes_to_xdr_buf" },
	{ 0x94cca6e6, ".prepare_kernel_cred" },
	{ 0x6df1aaf1, ".kernel_sigaction" },
	{ 0x1000e51, ".schedule" },
	{ 0x2aa31da7, ".vfs_fsync_range" },
	{ 0xb0dfdbf3, ".vfs_getxattr" },
	{ 0xb1d3a95, ".cache_destroy_net" },
	{ 0x1cdf4f7b, "simple_transaction_release" },
	{ 0x15d3edf3, ".xdr_restrict_buflen" },
	{ 0x643d9ba1, ".groups_free" },
	{ 0x6211b99c, ".perf_trace_run_bpf_submit" },
	{ 0x185e533b, ".rpc_delay" },
	{ 0x7a98852d, ".svc_bind" },
	{ 0xe72a3498, "rpc_pipe_generic_upcall" },
	{ 0x90ee2fd4, ".trace_define_field" },
	{ 0x9514151a, "._mcount" },
	{ 0x16e297c3, "bit_wait" },
	{ 0x4753e1de, ".vfs_fsync" },
	{ 0x48cefc20, ".seq_open" },
	{ 0x5a6a1d23, ".nlmsvc_unlock_all_by_sb" },
	{ 0x7f1ed9f0, ".gss_mech_put" },
	{ 0xbf9d1b96, "nfsd_debug" },
	{ 0x22aa3fbd, "cache_seq_start_rcu" },
	{ 0x84ffea8b, ".idr_preload" },
	{ 0x482b870e, ".splice_direct_to_actor" },
	{ 0x8c6d9a45, ".posix_acl_from_mode" },
	{ 0x3b6d4882, "cache_seq_stop_rcu" },
	{ 0xfdfcdd5f, ".__csum_partial" },
	{ 0xf6589807, ".rpc_get_sb_net" },
	{ 0x23932e9f, ".trace_raw_output_prep" },
	{ 0x65994f1, ".xdr_encode_opaque_fixed" },
	{ 0x5a7280f9, ".svc_xprt_names" },
	{ 0x162893fd, ".hashlen_string" },
	{ 0xc499ae1e, ".kstrdup" },
	{ 0x2067870d, ".mount_ns" },
	{ 0x97ed684b, ".from_kuid" },
	{ 0x5f536197, ".xdr_inline_decode" },
	{ 0x7f65acf7, ".auth_domain_put" },
	{ 0xa22f9d03, ".rpc_d_lookup_sb" },
	{ 0x7f5af90, ".trace_event_buffer_reserve" },
	{ 0x779a18af, ".kstrtoll" },
	{ 0x1050a85b, ".seq_printf" },
	{ 0xec91965f, ".bpf_trace_run4" },
	{ 0xc9a98844, ".rpc_init_wait_queue" },
	{ 0x28e8b15, ".simple_transaction_read" },
	{ 0x53e3432e, ".svc_pool_stats_open" },
	{ 0x6ced4468, ".touch_atime" },
	{ 0xfe487975, ".init_wait_entry" },
	{ 0xe914e41e, ".strcpy" },
	{ 0x12c48e0, ".blk_execute_rq" },
	{ 0x4c05092e, ".svc_destroy" },
	{ 0xb698ea0c, "._raw_spin_unlock" },
	{ 0xc90fba92, ".gss_pseudoflavor_to_service" },
	{ 0xa26c9ebe, ".__put_devmap_managed_page" },
	{ 0x4fadfe00, ".cache_register_net" },
	{ 0x3bc6b253, ".blk_get_request" },
	{ 0x3e4ed1f8, ".proc_mkdir" },
	{ 0x4829a47e, ".memcpy" },
	{ 0x20685276, ".__break_lease" },
	{ 0xc5e6f9dd, ".kern_path" },
	{ 0x87895934, ".wake_up_process" },
	{ 0x2a87ed7e, ".sunrpc_cache_lookup_rcu" },
	{ 0xc2f2a014, ".seq_putc" },
	{ 0x7c2d098f, ".krealloc" },
	{ 0x67a98f74, ".locks_delete_block" },
	{ 0x2e0d2f7f, ".queue_work_on" },
	{ 0x2b872fea, ".rpc_wake_up_next" },
	{ 0xafd398e2, ".__wake_up" },
	{ 0x813a9aaa, ".seq_escape" },
	{ 0xc18e2d18, ".set_groups" },
	{ 0x359467fd, ".svc_create_pooled" },
	{ 0x3893064b, ".rpc_mkpipe_data" },
	{ 0xdcb764ad, ".memset" },
	{ 0xc8e5d6db, ".__put_cred" },
	{ 0x80cdc2ba, ".rpc_sleep_on" },
	{ 0xf5251a7e, ".idr_remove" },
	{ 0x69ad2f20, ".kstrtouint" },
	{ 0x27fa66e1, ".nr_free_buffer_pages" },
	{ 0x5a9f1d63, ".memmove" },
	{ 0xfc1669d1, ".lease_get_mtime" },
	{ 0x4caa6526, ".trace_seq_printf" },
	{ 0x1dd0528, ".kmem_cache_alloc" },
	{ 0xb3af9afd, ".dget_parent" },
	{ 0xe940f3f8, ".refcount_dec_and_lock" },
	{ 0x1b889e4, ".dput" },
	{ 0xefc9c476, ".proc_create" },
	{ 0xf44d2b86, ".inode_permission" },
	{ 0x43a53735, ".__alloc_workqueue_key" },
	{ 0x6b1db589, "seq_lseek" },
	{ 0x134526a0, ".vfs_fallocate" },
	{ 0x413a6ec1, ".___ratelimit" },
	{ 0xe2489162, ".rpc_machine_cred" },
	{ 0x72c98139, ".__arch_hweight64" },
	{ 0x4193c68e, ".rpc_call_start" },
	{ 0x8d9b2d49, ".svc_shutdown_net" },
	{ 0x255ea0b3, "trace_event_raw_init" },
	{ 0x6099f855, ".svc_close_xprt" },
	{ 0x9a6cfe44, "cache_seq_next_rcu" },
	{ 0xa5526619, ".rb_insert_color" },
	{ 0x9feb0476, ".xdr_reserve_space" },
	{ 0xc5850110, ".printk" },
	{ 0xca7bc3e6, ".svc_age_temp_xprts_now" },
	{ 0xc6bfc819, ".security_inode_getsecctx" },
	{ 0xa1c76e0a, "._cond_resched" },
	{ 0xe5919cb1, ".xdr_encode_opaque" },
	{ 0x5a1384ca, "svc_xprt_do_enqueue" },
	{ 0xf68285c0, ".register_inetaddr_notifier" },
	{ 0x268db3b5, ".abort_creds" },
	{ 0x65621d56, ".trace_event_ignore_this_pid" },
	{ 0xa15f7a1f, ".follow_up" },
	{ 0xafde4544, ".up_write" },
	{ 0x78084e40, ".xdr_truncate_encode" },
	{ 0xb3f7646e, ".kthread_should_stop" },
	{ 0x60d4f0c9, ".svcauth_unix_purge" },
	{ 0xf9a482f9, ".msleep" },
	{ 0xdecd0b29, ".__stack_chk_fail" },
	{ 0x5320a3f8, ".vfs_iter_read" },
	{ 0xd4912674, ".unlock_rename" },
	{ 0x77eb1335, ".mutex_unlock" },
	{ 0x50ca1672, ".make_kuid" },
	{ 0xe4ddc1c9, ".kthread_create_on_node" },
	{ 0x7ab3074f, ".complete" },
	{ 0x799425bb, ".locks_init_lock" },
	{ 0x59092df6, ".set_posix_acl" },
	{ 0xd6fda800, ".exportfs_decode_fh" },
	{ 0x285493a2, "seq_release" },
	{ 0xe2d5255a, ".strcmp" },
	{ 0x4c38e19a, ".svc_recv" },
	{ 0x30f85873, ".path_put" },
	{ 0x4d9b652b, ".rb_erase" },
	{ 0x7c412227, ".override_creds" },
	{ 0xbe5dcfe, ".trace_handle_return" },
	{ 0x7e5a37f0, ".rpc_destroy_wait_queue" },
	{ 0x20000329, ".simple_strtoul" },
	{ 0x2962694a, ".kmem_cache_destroy" },
	{ 0xfda9581f, ".prandom_u32" },
	{ 0xa402ea83, ".filp_open" },
	{ 0xb201e2c5, ".blk_put_request" },
	{ 0x582a883e, ".svc_proc_register" },
	{ 0x1ec4977c, ".exportfs_encode_fh" },
	{ 0xb678366f, ".int_sqrt" },
	{ 0xe2683272, "vmemmap" },
	{ 0x33c84fc9, ".posix_acl_alloc" },
	{ 0x685e31ca, ".groups_sort" },
	{ 0x953e1b9e, ".ktime_get_real_seconds" },
	{ 0x362ef408, "._copy_from_user" },
	{ 0x5d0d1dc2, ".rpc_pton" },
	{ 0x71fa908a, ".cache_flush" },
	{ 0x9ec6ca96, ".ktime_get_real_ts64" },
	{ 0xa3c5908f, ".path_get" },
	{ 0xe3242984, ".locks_start_grace" },
	{ 0x45437008, ".svc_alien_sock" },
	{ 0xf1e63929, "devmap_managed_key" },
	{ 0x2aa6efb3, ".idr_find" },
	{ 0x7e35ab30, ".vfs_create" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=sunrpc,grace,lockd,nfs_acl,auth_rpcgss";


MODULE_INFO(srcversion, "D645072D64AD45517430796");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
